summaryrefslogtreecommitdiffstats
path: root/system/postgresql/postgresql.SlackBuild
diff options
context:
space:
mode:
author Adis Nezirovic <adis_at_linux.org.ba>2010-10-24 23:40:41 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:12 -0500
commit8d4ffb0fba79843c1fea85fe0fde4de71bdcfb10 (patch)
tree91a6386c498e87f620723e314646773d4f86e05d /system/postgresql/postgresql.SlackBuild
parent0541d96c64301b50a9a3f87cfeaef8dd701522b2 (diff)
downloadslackbuilds-8d4ffb0fba79843c1fea85fe0fde4de71bdcfb10.tar.gz
slackbuilds-8d4ffb0fba79843c1fea85fe0fde4de71bdcfb10.tar.xz
system/postgresql: Updated for version 9.0.1.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/postgresql/postgresql.SlackBuild')
-rw-r--r--system/postgresql/postgresql.SlackBuild41
1 files changed, 20 insertions, 21 deletions
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 170c8ef5a6..4022b73721 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -1,16 +1,16 @@
#!/bin/sh
## Slackware build script for PostgreSQL
-## $Revision: 5548380e2466 $
-## $Date: 2009/09/09 17:37:50 $
+## $Revision: 125327c245d3 $
+## $Date: 2010/10/20 20:09:12 $
##
-## Copyright 2007-2009 Adis Nezirovic <adis _at_ linux.org.ba>
+## Copyright 2007-2010 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project
PRGNAM=postgresql
-VERSION=8.4.4
+VERSION=9.0.1
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -74,6 +74,7 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--with-openssl \
@@ -88,28 +89,26 @@ CFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
+make install-docs DESTDIR=$PKG
-# adminpack extension for pgAdmin
-cd contrib/adminpack
- make
- make install-strip DESTDIR=$PKG
-cd $TMP/$PRGNAM-$VERSION
-# Since version 8.3 tsearch2 is directly supported by PostgreSQL
-# This contrib module is now a compatibility layer.
-# You can enable it by with:
-# TSEARCH2_COMPAT=yes ./postgresql.SlackBuild
-if ! [ "${TSEARCH2_COMPAT:-no}" == "no" ]; then
- cd contrib/tsearch2
- make
- make install-strip DESTDIR=$PKG
- cd $TMP/$PRGNAM-$VERSION
-fi
+# Some interesting additional modules:
+# http://www.postgresql.org/docs/9.0/static/contrib.html
+#
+# adminpack - helper extension for pgAdmin
+# pgcrypto - extension for some business applications
+# hstore, ltree, xml2 - useful extensions for developers
+# pg_archivecleanup, pg_standby - high availability helpers
+# pg_upgrade - online upgrade between postgresql versions
+
+PG_EXTENSIONS="adminpack pgcrypto hstore ltree xml2 pg_archivecleanup pg_standby pg_upgrade"
-# Some business oriented applications use this extension
-cd contrib/pgcrypto
+for ext in $PG_EXTENSIONS; do
+ cd $TMP/$PRGNAM-$VERSION/contrib/$ext
make
make install-strip DESTDIR=$PKG
+done
+
cd $TMP/$PRGNAM-$VERSION
( cd $PKG/usr/man || exit 1